flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Greg Hogan <c...@greghogan.com>
Subject Re: [VOTE] Release Apache Flink-shaded 1.0 (RC1)
Date Sun, 23 Jul 2017 23:58:59 GMT
Is there a pressing need to get the release out quickly? This being the first release, would
it be better to change the versioning now to prevent future confusion? Even if Flink is the
only intended consumer we’ll still be publishing the jars.


> On Jul 23, 2017, at 9:41 AM, Stephan Ewen <sewen@apache.org> wrote:
> 
> The release is technically correct, so
> +1 for the release
> 
>  - LICENSE and NOTICE are good
>  - Shaded artifacts add their licenses to the artifact where needed
>  - no binaries in the release
> 
> 
> I will send another mail with suggestions for improving things for future
> releases
> 
> 
> On Fri, Jul 21, 2017 at 11:39 AM, Robert Metzger <rmetzger@apache.org>
> wrote:
> 
>> Thanks a lot for preparing the release artifacts.
>> While checking the source repo / release commit, I realized that you are
>> not following the versioning scheme as flink:
>> the current master has a "x.y-SNAPSHOT" version, and release candidates
>> (and releases) get a x.y.z version. I wonder if it makes sense to use the
>> same model in the flink-shaded.git repo. I think this is the default
>> assumption in maven, and some modules behave differently based on the
>> version: for example "mvn deploy" sends "-SNAPSHOT" artifacts to a snapshot
>> server, and release artifacts to a staging repository.
>> 
>> I don't think we need to cancel the release because of this, I just wanted
>> to raise this point to see what others are thinking.
>> 
>> 
>> I've checked the following
>> - The netty shaded jar contains the MIT license from netty router:
>> https://repository.apache.org/content/repositories/
>> orgapacheflink-1130/org/apache/flink/flink-shaded-
>> netty-4/1.0-4.0.27.Final/flink-shaded-netty-4-1.0-4.0.27.Final.jar
>> - In the staging repo, I didn't see any dependencies exposed.
>> - I checked some of the md5 sums in the staging and they were correct / I
>> used a mvn plugin to check the signatures in the staging repo and they were
>> okay
>> - clean install in the source repo worked (this includes a license header
>> check)
>> - LICENSE and NOTICE file are there
>> 
>> ==> +1 to release.
>> 
>> On Fri, Jul 21, 2017 at 9:45 AM, Chesnay Schepler <chesnay@apache.org>
>> wrote:
>> 
>>> Here's a list of things we need to check:
>>> 
>>> * correct License/Notice files
>>> * licenses of shaded dependencies are included in the jar
>>> * the versions of shaded dependencies match those used in Flink 1.4
>>> * compilation with maven works
>>> * the assembled jars only contain the shaded dependency and no
>>>   non-shaded classes
>>> * no transitive dependencies should be exposed
>>> 
>>> 
>>> On 19.07.2017 15:59, Chesnay Schepler wrote:
>>> 
>>>> Dear Flink community,
>>>> 
>>>> Please vote on releasing the following candidate as Apache Flink-shaded
>>>> version 1.0.
>>>> 
>>>> The commit to be voted in:
>>>> https://gitbox.apache.org/repos/asf/flink-shaded/commit/fd30
>>>> 33ba9ead310478963bf43e09cd50d1e36d71
>>>> 
>>>> Branch:
>>>> release-1.0-rc1
>>>> 
>>>> The release artifacts to be voted on can be found at:
>>>> http://home.apache.org/~chesnay/flink-shaded-1.0-rc1/ <
>>>> http://home.apache.org/%7Echesnay/flink-shaded-1.0-rc1/>
>>>> 
>>>> The release artifacts are signed with the key with fingerprint
>>>> 19F2195E1B4816D765A2C324C2EED7B111D464BA:
>>>> http://www.apache.org/dist/flink/KEYS
>>>> 
>>>> The staging repository for this release can be found at:
>>>> https://repository.apache.org/content/repositories/orgapacheflink-1130
>>>> 
>>>> -------------------------------------------------------------
>>>> 
>>>> 
>>>> The vote ends on Monday (5pm CEST), July 24th, 2017.
>>>> 
>>>> [ ] +1 Release this package as Apache Flink-shaded 1.0
>>>> [ ] -1 Do not release this package, because ...
>>>> 
>>>> -------------------------------------------------------------
>>>> 
>>>> 
>>>> The flink-shaded project contains a number of shaded dependencies for
>>>> Apache Flink.
>>>> 
>>>> This release includes asm-all:5.0.4, guava:18.0, netty-all:4.0.27-FINAL
>>>> and netty-router:1.10 . Note that netty-all and netty-router are
>> bundled as
>>>> a single dependency.
>>>> 
>>>> The purpose of these dependencies is to provide a single instance of a
>>>> shaded dependency in the Apache Flink distribution, instead of each
>>>> individual module shading the dependency.
>>>> 
>>>> For more information, see
>>>> https://issues.apache.org/jira/browse/FLINK-6529.

Mime
View raw message